mina-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "John Conlon (JIRA)" <j...@apache.org>
Subject [jira] Commented: (DIRMINA-27) OSGi framework integration
Date Wed, 01 Nov 2006 23:55:18 GMT
    [ http://issues.apache.org/jira/browse/DIRMINA-27?page=comments#action_12446409 ] 
            
John Conlon commented on DIRMINA-27:
------------------------------------

Since the creation of a single project Mina appears to be shelved.  To move the OSGi effort
forward, I would like to create a  OSGi bundle for wrapping the current Mina 1.0.0 release.


Before I attach the pom.xml for the project called mina-integration-osgi
I have a few questions of the community.

Java 1.4?
My first intention was to do this for Java5, but do we also need an OSGi wrapping project
for a java 1.4 of Mina 1.0.0? 

Wrapped Dependencies?
In the example I am showing below is for a Java5 release (no backport libs) 

Here are the dependencies that will be wrapped in the bundle:
               <dependency>

			<groupId>org.apache.mina</groupId>

			<artifactId>mina-core</artifactId>

			<version>${pom.version}</version>

		</dependency>

		<dependency>

			<groupId>org.apache.mina</groupId>

			<artifactId>mina-java5</artifactId>

			<version>${pom.version}</version>

		</dependency>

		<dependency>

			<groupId>org.apache.mina</groupId>

			<artifactId>mina-filter-ssl</artifactId>

			<version>${pom.version}</version>

		</dependency>

		<dependency>

		    <!--This dependency is using several transients 

		        net.gleamynode.netty2.mina-->

			<groupId>org.apache.mina</groupId>

			<artifactId>mina-filter-codec-netty</artifactId>

			<version>${pom.version}</version>

		</dependency>

		<dependency>

			<groupId>org.apache.mina</groupId>

			<artifactId>mina-filter-compression</artifactId>

			<version>${pom.version}</version>

		</dependency>

		<dependency>

			<groupId>org.apache.mina</groupId>

			<artifactId>mina-integration-spring</artifactId>

			<version>${pom.version}</version>

			<exclusions>

                           <exclusion>

                              <groupId>org.springframework</groupId>

			       <artifactId>spring-beans</artifactId>

                           </exclusion>

                           <exclusion>

                              <groupId>org.springframework</groupId>

			      <artifactId>spring-core</artifactId>

                           </exclusion>

                         </exclusions>

		 </dependency>

		<dependency>

			<groupId>org.apache.mina</groupId>

			<artifactId>mina-integration-jmx</artifactId>

			<version>${pom.version}</version>

		</dependency>
Are these dependencies all that need to be delievered in the bundle to meet Mina 1.0.0 functionality?

Provided Dependencies?
At OSGi runtime the two additional dependencies will be provided by other OSGi common use
bundles  wrapping:
<dependency>

			<groupId>commons-collections</groupId>

			<artifactId>commons-collections</artifactId>

			<version>3.0</version>

			<scope>provided</scope>

</dependency>

<dependency>

	                <groupId>org.slf4j</groupId>

	               <artifactId>slf4j-simple</artifactId>

	                <version>1.0</version>

	               <scope>provided</scope>

</dependency>
Are there any more dependencies that I am missing?

Ignored Dependencies?
The OSGi Maven Plugin provides an analysis mode so one can tell library depenency usage. When
bundleing Mina 1.0.0 the analysis is showing an unusual circular dependency on a no longer
used mina library.

[INFO] org.apache.mina.protocol used by;
          +-- net.gleamynode.netty2.mina

[INFO] org.apache.commons.logging used by;
          +-- net.gleamynode.netty2

[INFO] net.gleamynode.netty2 used by;
          |-- net.gleamynode.netty2.mina
          +-- org.apache.mina.filter.codec.netty

I have a hunch that I can simple ignore the org.apache.mina.protocol library.
Is there any reason I can't?

Pending imput I expect to attach the project pom tomorrow.


> OSGi framework integration
> --------------------------
>
>                 Key: DIRMINA-27
>                 URL: http://issues.apache.org/jira/browse/DIRMINA-27
>             Project: Directory MINA
>          Issue Type: New Feature
>    Affects Versions: 0.7, 1.0, 0.9, 0.8
>            Reporter: Trustin Lee
>


-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message